At present running 10.5.8 MAC .which Adobe photoshop will be compatable

  • Asked by Gordon M
  • Feb 21, 2013
Adobe Photoshop Elements 11

Adobe Photoshop Elements 11

Product No Longer Available

1 Answer from the Community

  • Answer

    Photoshop Elements 10 was the last version to run on 10.5, while Elements 6 was the first version to do so. You will need a version between these two.

    • Answered by Brett N from Beaverton
    • Feb 25, 2013